#pragma once

#include "CoreMinimal.h"
#include "Perk.h"
#include "EPlayerRole.h"
#include "PlayersInRangePerk.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class DBDCOMPETENCE_API UPlayersInRangePerk : public UPerk
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	float _perkRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<EPlayerRole> _trackedPlayerRoles;

public:
	UFUNCTION(BlueprintPure)
	float GetPerkRange() const;

public:
	UPlayersInRangePerk();
};

FORCEINLINE uint32 GetTypeHash(const UPlayersInRangePerk) { return 0; }
